#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	java		# BD-Java
#
Summary:	Library to access Blu-Ray disks for video playback
Summary(pl.UTF-8):	Biblioteka dostępu do dysków Blu-Ray w celu odtwarzania filmów
Name:		libbluray
Version:	1.3.4
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.videolan.org/videolan/libbluray/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	c744e610f539ba4b31280185ad48f1e1
URL:		http://www.videolan.org/developers/libbluray.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	libtool
BuildRequires:	libudfread-devel >= 1.1.1
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	pkgconfig
Requires:	libudfread >= 1.1.1
Requires:	libxml2 >= 1:2.6.0
%if %{with java}
BuildRequires:	ant
BuildRequires:	jdk >= 1.8
BuildRequires:	rpmbuild(macros) >= 1.527
Provides:	%{name}(jvm) = %{version}-%{release}
Suggests:	%{name}-java = %{version}-%{release}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is aiming to provide a full portable free open source
bluray library, which can be plugged into popular media players to
allow full bluray navigation and playback on Linux. It will eventually
be compatible with all current titles, and will be easily portable and
embeddable in standard players such as mplayer and vlc.

%description -l pl
Ten pakiet ma w zamierzeniu dostarczać w pełni przenośną,
wolnodostępną i mającą otwarte źródła biblioteką bluray, dającą się
wykorzystać w popularnych odtwarzaczach multimedialnych w celu
pełnej nawigacji i odtwarzania filmów pod Linuksem. Ostatecznie
powinna być kompatybilna ze wszystkimi bieżącymi tytułami, łatwo
przenośna i dająca się wbudować w standardowe odtwarzacze, takie jak
mplayer czy vlc.

%package devel
Summary:	Header files for libbluray library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbluray
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2
Requires:	libudfread-devel >= 1.1.1
Requires:	libxml2-devel >= 1:2.6.0

%description devel
Header files for libbluray library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbluray.

%package static
Summary:	Static libbluray library
Summary(pl.UTF-8):	Statyczna biblioteka libbluray
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbluray library.

%description static -l pl.UTF-8
Statyczna biblioteka libbluray.

%package java
Summary:	BD-Java support classes for libbluray
Summary(pl.UTF-8):	Klasy obsługujące BD-Java dla libbluray
Group:		Libraries/Java
Requires:	%{name}(jvm) = %{version}-%{release}
Requires:	jre

%description java
BD-Java support classes for libbluray.

%description java -l pl.UTF-8
Klasy obsługujące BD-Java dla libbluray.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_java:JDK_HOME=%{_jvmdir}/java} \
	%{!?with_java:--disable-bdjava-jar} \
	--disable-silent-rules \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md
%attr(755,root,root) %{_bindir}/bd_info
%attr(755,root,root) %{_bindir}/bd_list_titles
%attr(755,root,root) %{_bindir}/bd_splice
%attr(755,root,root) %{_libdir}/libbluray.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbluray.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluray.so
%{_includedir}/libbluray
%{_pkgconfigdir}/libbluray.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbluray.a
%endif

%if %{with java}
# NOTE: it's Java package loaded by libbluray itself, not Java API to libbluray
# thus -java instead of java- namespace.
%files java
%defattr(644,root,root,755)
%{_javadir}/libbluray-awt-j2se-%{version}.jar
%{_javadir}/libbluray-j2se-%{version}.jar
%endif
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbluray.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 231b142
- Release 2 (by relup.sh)

* Wed Nov 30 2022 Jan Palus <atler@pld-linux.org> fc3e8c6
- up to 1.3.4

* Wed Sep 21 2022 Jan Palus <atler@pld-linux.org> c0d0986
- up to 1.3.3

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> cedceb9
- up to 1.3.2

* Sat May 21 2022 Jan Palus <atler@pld-linux.org> 97a6bd3
- upstream patch to fix build with latest java releases

* Tue Mar 08 2022 Jan Palus <atler@pld-linux.org> 75ed0ed
- up to 1.3.1

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 82b88b1
- rebuild with separate debuginfo build-ids

* Fri Apr 09 2021 Jan Palus <atler@pld-linux.org> 0e87f67
- up to 1.3.0

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 55071ed
- require libudfread with fixed pc file; rel 2

* Tue Oct 27 2020 Jan Palus <atler@pld-linux.org> 4134950
- up to 1.2.1

* Sat May 16 2020 Jan Palus <atler@pld-linux.org> 24bfe11
- up to 1.2.0

* Mon Jun 10 2019 Jan Palus <atler@pld-linux.org> 68b6f16
- up to 1.1.2

* Sun Apr 07 2019 Jan Palus <atler@pld-linux.org> 2a75d17
- up to 1.1.1

* Tue Feb 12 2019 Jan Palus <atler@pld-linux.org> ec5d34c
- up to 1.1.0

* Sun Dec 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 789cd3e
- requires Java 8 now (for Float.hashCode(float))

* Tue Dec 12 2017 Jan Palus <atler@pld-linux.org> 093fbb1
- up to 1.0.2

* Thu Jul 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 890a884
- updated to 1.0.1

* Tue May 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 1865845
- updated to 1.0.0 (note: new soname)

* Sat Oct 08 2016 Jakub Bogusz <qboosh@pld-linux.org> a1c43e2
- updated to 0.9.3

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 053bdab
- updated to 0.9.2

